message("MCQRBegin: check_MSstats_install")
message("Check package installation for MSstats");


all.packages = c('MSstats')
packages.to.install <- setdiff(all.packages, rownames(installed.packages()));
for (pkg in packages.to.install) {
    if (!requireNamespace("BiocManager", quietly = TRUE))
        install.packages("BiocManager",quiet = TRUE, repos = "http://cran.us.r-project.org");

    BiocManager::install("MSstats")
}


if(length(setdiff(all.packages, rownames(installed.packages()))) == 0){
    message("MCQRInfo: All packages are installed")
}else{
    message("MCQRInfo: Some packages can't be installed :")
    cat(setdiff(all.packages, rownames(installed.packages())))
}

message("MCQREnd: check_MSstats_install")
